Page MenuHomePhabricator

Add retrobibliothek.de to the wgCopyUploadsDomains allowlist of Wikimedia Commons
Closed, ResolvedPublic

Description

This is the image I wanted to upload by URL (to replace a lower-resolution version). It's from a public domain book, and they have full scans of it (and I guess other old books) at retrobibliothek.de, which was given as the image source. (Maybe some aren't PD; if so, then it would just take the uploader checking on a per-book basis, if the files are new rather than higher-resolution versions of previously uploaded files.)

In my case, I just downloaded it and uploaded it from my computer, but if someone wants to copy over the other scans they have (whether we don't have them at all or we have them at a lower resolution, as was the case with this one), it would be more convenient if they could do it without having to download and upload each file.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2020, 7:35 PM

Change 622126 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add retrobibliothek.de to the wgCopyUploadsDomains allowlist of Wikimedia Commons

https://gerrit.wikimedia.org/r/622126

Change 622126 merged by jenkins-bot:
[operations/mediawiki-config@master] Add retrobibliothek.de to the wgCopyUploadsDomains allowlist of Wikimedia Commons

https://gerrit.wikimedia.org/r/622126

Mentioned in SAL (#wikimedia-operations) [2020-08-24T11:57:34Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 5a6d025b04eb20787e8abbbdd56a3abb3818b82f: Add retrobibliothek.de to the wgCopyUploadsDomains allowlist of Wikimedia Commons (T261012) (duration: 00m 56s)

Urbanecm closed this task as Resolved.Aug 24 2020, 11:57 AM
Urbanecm claimed this task.
Urbanecm added a subscriber: Urbanecm.

Should be done.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 24 2020, 11:57 AM